# Enum Class Material.MaterialType

java.lang.Object
java.lang.Enum<Material.MaterialType>
com.university.bookstore.model.Material.MaterialType

All Implemented Interfaces:
  `Serializable`, `Comparable<Material.MaterialType>`, `Constable`

Enclosing class:
  `Material`

public static enum Material.MaterialType extends Enum<Material.MaterialType>
Enumeration of material types for polymorphic behavior.

Since:
  2024-09-15
Version:
  2.0
Author:
  Navid Mohaghegh

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `AUDIO_BOOK`
  `BOOK`
  `DOCUMENTARY`
  `E_BOOK`
  `EBOOK`
  `MAGAZINE`
  `MUSIC_ALBUM`
  `PODCAST`
  `VIDEO`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getDisplayName()`
  `static Material.MaterialType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static Material.MaterialType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### BOOK

    public static final Material.MaterialType BOOK

  - ### MAGAZINE

    public static final Material.MaterialType MAGAZINE

  - ### AUDIO_BOOK

    public static final Material.MaterialType AUDIO_BOOK

  - ### VIDEO

    public static final Material.MaterialType VIDEO

  - ### MUSIC_ALBUM

    public static final Material.MaterialType MUSIC_ALBUM

  - ### PODCAST

    public static final Material.MaterialType PODCAST

  - ### DOCUMENTARY

    public static final Material.MaterialType DOCUMENTARY

  - ### E_BOOK

    public static final Material.MaterialType E_BOOK

  - ### EBOOK

    public static final Material.MaterialType EBOOK

- ## Method Details

  - ### values

    public static Material.MaterialType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static Material.MaterialType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getDisplayName

    public String getDisplayName()